EndpointsLeagues

List competition events

GET/v2/competition-events

Returns newest competition events visible to the caller. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

league_id?|

Return events from this league only.

division_id?|

Return events from this division only.

round_id?|

Return events from this round only.

event_type?|

Return events with this event type only.

audience?|

Return events published to this audience only.

player_id?|

Return events associated with this player only.

user_id?|

Return events associated with this user only.

policy_version_id?|

Return events associated with this policy version only.

limit?Limit

Maximum events to return, newest first.

Range1 <= value <= 200
Default50
cursor?|

Continuation token from the previous response's X-Next-Cursor header.